;==============================================================================
;
; Copyfile.ini
;
; Copyright (C) 2010-2011 silex technology, Inc.
; All Rights Reserved.
;
; Version 6.2.0 2011/04/29
;
;==============================================================================

;------------------------------------------------------------------------------
; Install Mode
;------------------------------------------------------------------------------
[INSTALL]
VERSION=6.2.0

[APPLIINFO]
APP_00=VIRTUAL
CHECK_00=1
ICON_00=\Files\Connect.exe

[FOLDER]
INSTALL=\silex technology\ThinClient USB Link
FOLDER_00=

;------------------------------------------------------------------------------
; ThinClient USB Link
;------------------------------------------------------------------------------
[VIRTUAL_INFO]
CLASSNAME_00=SX_THIN_CLIENT_TOOL;ThinClient USB Link Controller
OS=XP:XP,2003;VISTA:VISTA,2008,7,2008R2;X64:XPX64,2003X64;VISTAX64:VISTAX64,2008X64,7X64,2008R2X64
UAC=" "
REG_000=HLM;Software\SILEX\ThinClient USB Link\*.*
REG_001=HCU;Software\SILEX\ThinClient USB Link\*.*

[VIRTUAL_ICF]
;Windows XP
ADDFILE_000=\ConnectService.exe;ThinClient USB Link
ADDPORT_000=19540;UDP;SXUPTP
;Windows 7
ADDFILE2_000=\ConnectService.exe;ThinClient USB Link
ADDPORT2_000=19540;UDP;SXUPTP

[VIRTUAL_COMPONENT]
INIFILE=\Bin\Sxcsapi\Sxcsapi.ini
;ORDER=DRIVER;SERVICE;FILE
UNINST_ORDER=SERVICE;DRIVER;FILE
;Sxuptp Driver
DRIVER_00=SXUPTP;Sxuptp Driver;INSTALL
UNINST_DRIVER_00=SXUPTP;Sxuptp Driver;UNINSTALL
;ThinClient USB Link Manager
SERVICE_00=THIN;ThinClient USB Link Manager;INSTALL
UNINST_SERVICE_00=THIN;ThinClient USB Link Manager;UNINSTALL

[VIRTUAL_COMMON]
;Uninstall
FILE_000=Couninst.ini;@LAN;\
FILE_001=Coflist.ini;\;\
FILE_002=Left.bmp;\Bin\Images;\
FILE_003=Top.bmp;\Bin\Images;\
FILE_004=Top_icon.bmp;\Bin\Images;\
;Sxuptp Driver
FILE_005=Sxcsapi.ini;\Bin\Sxcsapi;\
;ThinClient USB Link
FILE_006=ConfConnectServ.ini;@LAN;\
FILE_007=ClientCon.ini;@LAN;\

[VIRTUAL_XP]
;Uninstall
FILE_000=Couninst.exe;\Bin\x86;\
FILE_001=_Setup.dll;\;\
;SXUPTP Driver
FILE_002=*.*;\Bin\Sxcsapi\WinXP;\WinXP
;ThinClient USB Link
FILE_003=Svlscapi.dll;\Bin\x86;\
FILE_004=ConfConnectServ.exe;\Bin\x86;\
FILE_005=ClientCon.exe;\Bin\x86;\
FILE_006=ConnectService.exe;\Bin\Sxcsapi\Service\x86;\
;Etc
FILE_007=TcRestart.exe;\Bin\x86;\

[VIRTUAL_VISTA]
;Uninstall
FILE_000=Couninst.exe;\Bin\x86;\
FILE_001=_Setup.dll;\;\
;SXUPTP Driver
FILE_002=*.*;\Bin\Sxcsapi\WinVista;\WinVista
;ThinClient USB Link
FILE_003=Svlscapi.dll;\Bin\x86;\
FILE_004=ConfConnectServ.exe;\Bin\x86;\
FILE_005=ClientCon.exe;\Bin\x86;\
FILE_006=ConnectService.exe;\Bin\Sxcsapi\Service\x86;\
;Etc
FILE_007=TcRestart.exe;\Bin\x86;\

[VIRTUAL_X64]
;Uninstall
FILE_000=Couninst.exe;\Bin\x64;\
FILE_001=_Setup64.dll;\;\
;SXUPTP Driver
FILE_002=*.*;\Bin\Sxcsapi\WinXPX64;\WinXPX64
;ThinClient USB Link
FILE_003=Svlscapi.dll;\Bin\x64;\
FILE_004=ConfConnectServ.exe;\Bin\x64;\
FILE_005=ClientCon.exe;\Bin\x64;\
FILE_006=ConnectService.exe;\Bin\Sxcsapi\Service\x64;\
;Etc
FILE_007=TcRestart.exe;\Bin\x64;\

[VIRTUAL_VISTAX64]
;Uninstall
FILE_000=Couninst.exe;\Bin\x64;\
FILE_001=_Setup64.dll;\;\
;SXUPTP Driver
FILE_002=*.*;\Bin\Sxcsapi\WinVistaX64;\WinVistaX64
;ThinClient USB Link
FILE_003=Svlscapi.dll;\Bin\x64;\
FILE_004=ConfConnectServ.exe;\Bin\x64;\
FILE_005=ClientCon.exe;\Bin\x64;\
FILE_006=ConnectService.exe;\Bin\Sxcsapi\Service\x64;\
;Etc
FILE_007=TcRestart.exe;\Bin\x64;\

[VIRTUAL_UNINSTLOG]
;Uninstall
UNINSTLOG=Coflist.ini
UNINSTMES=Couninst.ini
;Registory
REGISTKEY=ThinClient USB Link
DISPNAME=ThinClient USB Link
DISPVERSION=1.4.0
DISPICON=ConfConnectServ.exe
UNINSTALLSTRING=Couninst.exe
MODE=REMOVE
MODIFYPATH=Couninst.exe
PUBLISHER=silex technology, Inc.
